@import '../../../assets/styles/common.scss';

.challenge-confirm {
  padding: 0 7rem;
  text-align: center;
  letter-spacing: 0;

  &__title {
    font-size: 4rem;
  }

  &__radial {
    display: flex;
    width: 55rem;
    margin-bottom: 5rem;

    &-radial1 {
      width: 50%;
      height: 4px;
      border-radius: 2px;
      background-color: #43eb02;
    }

    &-radial2 {
      width: 50%;
      height: 4px;
      border-radius: 2px;
      background-color: #1d222e;
    }
  }

  &__block {
    display: flex;
    margin-bottom: 3rem;

    &--center {
      align-items: center;
    }
  }

  &__label, &__value, &__params-param {
    text-transform: capitalize;
  }

  &__label {
    font-family: $myriad-pro--bold;
    font-style: italic;
    font-size: 3rem;
    color: $blue-light;
    text-align: left;
  }

  &__value {
    margin-left: 1.5rem;
    font-family: $myriad-pro--bold;
    font-size: 3rem;
    text-align: left;
  }

  &__avatar {
    width: 4.5rem;
    height: 4.5rem;
    margin-left: 3rem;
    border-radius: 50%;
  }

  &__rules {
    width: 100%;
    margin-left: 5rem;
  }

  &__params {
    display: flex;
    justify-content: space-between;

    &-param {
      flex: 1;
      font-family: $myriad-pro--bold;
      font-style: italic;
      font-size: 3rem;
      text-align: center;
    }
  }

  &__join {
    margin-bottom: 1rem;

    & span {
      font-size: 3rem;
      color: #43eb02;
      text-align: center;
      text-transform: uppercase;
    }
  }

  &__buttons {
    display: flex;
    justify-content: space-between;
    margin-top: 7rem;

    &-button {
      width: 18rem;

      &:hover {
        cursor: pointer;
      }
    }
  }

  @media only screen and (max-width: 1400px) {
    &__title {
      margin: 2rem 0;
      font-size: 3rem;
    }

    &__radial {
      margin-bottom: 4rem;
    }

    &__label, &__value, &__params-param, &__join span {
      font-size: 2rem;
    }

    &__buttons {
      margin-top: 6rem;

      &-button {
        width: 14rem;
      }
    }
  }

  @media only screen and (max-width: 768px) {
    padding: 0 4rem;

    &__radial {
      width: 100%;
    }
  }
}
